La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const products = await lapyme.products.list({
limit: 20,
query: "remera",
productType: "product",
});
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lapyme.com.ar/api/v1/products")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sku": "<string>",
"supplier_sku": "<string>",
"barcode": "<string>",
"image_url": "<string>",
"currency": "<string>",
"cost": 123,
"price": 123,
"tax_rate": {
"id": 123,
"value": 123
},
"default_supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"product_type": "product",
"visibility": "both",
"available_in_pos": true,
"is_active": true,
"organization_slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "product",
"variant_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"object": "tag",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "customer",
"name": "<string>",
"slug": "<string>",
"color": "slate",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"components": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"quantity": 123
}
],
"effective_price": 123,
"price_source": "automatic",
"applied_price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 123,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_inclusive": true
},
"sku_reference_ambiguous": true
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list",
"url": "<string>"
}{
"request_id": "req_products_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for listing products",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_products_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_products_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_products_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not list products",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Listar productos
Lista los productos de la organización con precios. Filtra por categoría, tipo, estado, etiquetas y campos personalizados; ordena por producto, categoría o SKU.
GET
/
api
/
v1
/
products
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const products = await lapyme.products.list({
limit: 20,
query: "remera",
productType: "product",
});
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lapyme.com.ar/api/v1/products")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sku": "<string>",
"supplier_sku": "<string>",
"barcode": "<string>",
"image_url": "<string>",
"currency": "<string>",
"cost": 123,
"price": 123,
"tax_rate": {
"id": 123,
"value": 123
},
"default_supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"product_type": "product",
"visibility": "both",
"available_in_pos": true,
"is_active": true,
"organization_slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "product",
"variant_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"object": "tag",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "customer",
"name": "<string>",
"slug": "<string>",
"color": "slate",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"components": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"sku": "<string>",
"quantity": 123
}
],
"effective_price": 123,
"price_source": "automatic",
"applied_price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 123,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_inclusive": true
},
"sku_reference_ambiguous": true
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list",
"url": "<string>"
}{
"request_id": "req_products_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for listing products",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_products_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_products_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_products_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not list products",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Authorizations
Query Parameters
Was this page helpful?

